当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Fedora9下安装NVidia显卡驱动(使用旧版本的Xorgserver)

前一段时间从Fedora8转换到Fedora9,写下安装Fedora9时的一些心得。Nvidia显卡驱动程序的安装就是依然是件头痛的事。在体验我首先尝试了禁用ABI的方式使用nvidia显卡驱动,但是效果不理想,仍然有一些问题。我开始尝试软件库降级的方式,使用Fedora8旧版Xorgxserver替代目前Fedora9上的版本,目前使用几天下来,没有什么大问题。1)

前一段时间从Fedora 8转换到Fedora 9,写下安装Fedora 9时的一些心得。Nvidia 显卡驱动程序的安装就是依然是件头痛的事。

在体验我首先尝试了禁用ABI的方式使用nvidia显卡驱动,但是效果不理想,仍然有一些问题。

我开始尝试软件库降级的方式,使用Fedora 8 旧版Xorg xserver替代目前Fedora 9上的版本,目前使用几天下来,没有什么大问题。

1)首先请准备Fedora 8的相关包,可以Fedora 8安装盘或Fedora 安装源中获得。

xorg-x11-server-utils-7.3-1.fc8.i386
xorg-x11-server-Xorg-1.3.0.0-44.fc8.i386
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386
xorg-x11-drv-mouse-1.2.3-1.fc8.i386
xorg-x11-drv-vesa-1.3.0-10.fc8.i386
xorg-x11-drv-nv-2.1.5-2.fc8.i386
xorg-x11-drv-evdev-1.1.2-5.fc8.i386
xorg-x11-drv-fbdev-0.3.1-4.fc8.i386
xorg-x11-drv-void-1.1.1-6.fc8.i386
xorg-x11-drv-dummy-0.2.0-5.fc8.i386
mesa-libGL-7.0.1-7.fc8.i386

2)删除xorg-x11-server-common,Fedora 8中没有这个包。

3)用rpm -Uvh --oldpackage --replacefiles --relacepkgs 命令尝试安装上面的包,注意一定要使用--oldpackage --replacefiles --relacepkgs 参数,注意不要使用--force参数。

如果出现依赖提示,逐步删除一些不必要的软件包,解决依赖问题,直到能够成功安装为止。

你也可以将出现依赖的同样降到Fedora 8 ,不过可以看出大部分是驱动依赖,对特定系统来说,完全可以删除不需要的驱动。

4)通过Freshrpms 的安装源安装最新的NVidia 驱动,包名为nvidia-x11-drv。

5) 在/etc/yum.conf中添加excludes,这样系统更新会跳过相关的软件版本检测。

exclude=xorg-x11*

重启尝试进入gnome,显示器出现了“超出频率范围”。

删除用户目录下.gnome2/monitors.xml文件(我安装F9时保留了F8的home目录),就可以进入Gnome桌面了。

我非常奇怪是,屏幕分辨率原来在Fedora 8下可以选择60hz,现在只有50和51Hz两种可选。

作者:hantsy
出自:hantsy.cublog.cn

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有